What do I do if I cannot use the Miracast application?

Multimedia Center

What do I do if I cannot use the Miracast application?

The Mircast application only works with a smart phone or tablet with Android 4.2 and above, compatible with Miracast.